myfaces-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Werner Punz (JIRA)" <...@myfaces.apache.org>
Subject [jira] Commented: (EXTSCRIPT-21) ASM version conflicts
Date Wed, 23 Sep 2009 12:31:16 GMT

    [ https://issues.apache.org/jira/browse/EXTSCRIPT-21?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12758680#action_12758680
] 

Werner Punz commented on EXTSCRIPT-21:
--------------------------------------

resolved we have moved groovy up to the latest version
and we have synchronized the asm versions on that level for now.
We also have eliminated jci which has dependencies to a stonage version of asm so that we
have eliminated that one as well.

But i keep this open, because in the long run we probably have to add a package refactored
asm version on source level to keep version conflicts out of the game for the core codebase.


> ASM version conflicts
> ---------------------
>
>                 Key: EXTSCRIPT-21
>                 URL: https://issues.apache.org/jira/browse/EXTSCRIPT-21
>             Project: MyFaces Extensions Scripting
>          Issue Type: Bug
>            Reporter: Werner Punz
>
> ASM seems to be widely used by many libs, the main issue is that ASM itself does not
provide stable APIs between versions, we probably should go with the source embedding route
instead of binary linking, check if we can modify the build process so that asm is linked
as source and refactored into the project in its own subpackage

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message